## cl-f2cl 20050726

=== Makefile ===
TOP := $(shell cd ../..; pwd)
LISPEXT := lisp
SOURCES := 
SYSTEM := f2cl
DOCFILES = $(SYSTEM).html
ZIPEXTRA = $(TOP)/etc/GNU-LGPL
include $(TOP)/clocc.mk
