## cl-f2cl 1.0+cvs.2002.11.11

=== debian/changelog ===
cl-f2cl (1.0+cvs.2002.11.11) unstable; urgency=low

  * Initial Debian upload.

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  8 Nov 2002 09:46:00 -0700
