=== debian/rules ===
#!/usr/bin/make -f

export DH_COMPAT=4

pkg	:= f2cl
debpkg  := cl-f2cl


clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-f2cl	:= $(clc-source)/$(pkg)

doc-dir		:= usr/share/doc/$(debpkg)


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	rm -f debian/cl-f2cl.postinst.* debian/cl-f2cl.prerm.*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	# Add here commands to install the package into debian/f2cl.
	dh_installdirs $(clc-systems) $(clc-f2cl)
	dh_install debian/f2cl.asd $(wildcard src/*) $(clc-f2cl)
	dh_link $(clc-f2cl)/f2cl.asd $(clc-systems)/f2cl.asd

# Build architecture-independent files here.
binary-indep: build install


# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs README debian/README.Debian $(wildcard doc/*)
	dh_installexamples $(wildcard val/*)
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
