## cl-f2cl 1.0+cvs.2004.07.08

=== debian/changelog ===
cl-f2cl (1.0+cvs.2004.07.08) unstable; urgency=low

  * New upstream (closes:258125)

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu,  8 Jul 2004 11:48:35 -0600

cl-f2cl (1.0+cvs.2003.01.11) unstable; urgency=low

  * New upstream
  * Update standards version to 3.5.9.0 [no changes needed]
  * Use compat file rather than DH_COMPAT in rules

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  7 Apr 2003 00:19:05 -0600
